Update the configuration of an existing webhook subscription.
Security
OAuth2(Required scopes: webhook.write)
List of event types to subscribe to. At least one event type must be specified.
- https://api.understory.iohttps://api.understory.io/v1/webhook-subscriptions/{subscriptionId}
curl -i -X PUT \
'https://api.understory.io/v1/webhook-subscriptions/{subscriptionId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"url": "string",
"event_types": [
"string"
],
"state": "ENABLED",
"metadata": {
"property1": "string",
"property2": "string"
}
}'OK
Whether the subscription currently delivers events.
ENABLED— events are delivered to the subscription's URL.DISABLED— events are not delivered; the subscription is paused.
Enum:"ENABLED""DISABLED"
Response
{ "id": "string", "url": "string", "event_types": [ "string" ], "state": "ENABLED", "metadata": { "property1": "string", "property2": "string" }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }